mean.geometric {PerformanceAnalytics} | R Documentation

## calculate attributes relative to the mean of the observation series given, including geometric, stderr, LCL and UCL

### Description

`mean.geometric` | geometric mean
`mean.stderr` | standard error of the mean (S.E. mean)
`mean.LCL` | lower confidence level (LCL) of the mean
`mean.UCL` | upper confidence level (UCL) of the mean

### Usage

    ## S3 method for class 'geometric'
    mean(x, ...)

    ## S3 method for class 'stderr'
    mean(x, ...)

    ## S3 method for class 'LCL'
    mean(x, ci = 0.95, ...)

    ## S3 method for class 'UCL'
    mean(x, ci = 0.95, ...)

### Arguments

`x` | a vector, matrix, data frame, or time series to calculate the modified mean statistic over
`...` | any other passthru parameters
`ci` | the confidence interval to use

### Author(s)

Peter Carl

### See Also

`sd`
`mean`

### Examples

    data(edhec)
    mean.geometric(edhec[,"Funds of Funds"])
    mean.stderr(edhec[,"Funds of Funds"])
    mean.UCL(edhec[,"Funds of Funds"])
    mean.LCL(edhec[,"Funds of Funds"])

[Package PerformanceAnalytics version 1.5.3 Index]